## com.icl.saxon
Class StandardURIResolver

    java.lang.Object
      |
      +--com.icl.saxon.StandardURIResolver

All Implemented Interfaces:
  javax.xml.transform.URIResolver

public class StandardURIResolver
extends java.lang.Object
implements javax.xml.transform.URIResolver

This class provides the service of converting a URI into an InputSource. It is used to get stylesheet modules referenced by xsl:import and xsl:include, and source documents referenced by the document() function. The standard version handles anything that the java URL class will handle. You can write a subclass to handle other kinds of URI, e.g. references to things in a database.

Constructor Summary
`protected` `StandardURIResolver()`
`` `StandardURIResolver(TransformerFactoryImpl factory)`

Method Summary
`javax.xml.transform.Source` `resolve(java.lang.String href, java.lang.String base)` Resolve a URI

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardURIResolver

    protected StandardURIResolver()

### StandardURIResolver

    public StandardURIResolver(TransformerFactoryImpl factory)

Method Detail

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href,
                                              java.lang.String base)
                                       throws javax.xml.transform.TransformerException

  Resolve a URI
  Specified by:
    `resolve` in interface `javax.xml.transform.URIResolver`
  Parameters:
    `baseURI` - The base URI that should be used. May be null if uri is absolute.
  Returns:
    a Source object representing an XML document